MenuButtonSkinBase (JavaFX 17)

Module javafx.controls
Package javafx.scene.control.skin

## Class MenuButtonSkinBase<C extends MenuButton>

- java.lang.Object
- - javafx.scene.control.SkinBase<C>
  - - javafx.scene.control.skin.MenuButtonSkinBase<C>

- All Implemented Interfaces:
    `Skin<C>`
  Direct Known Subclasses:
    `MenuButtonSkin`, `SplitMenuButtonSkin`

      public class MenuButtonSkinBase<C extends MenuButton>
      extends SkinBase<C>

  Base class for MenuButtonSkin and SplitMenuButtonSkin. It consists of the label, the arrowButton with its arrow shape, and the popup.
  Since:
    9

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MenuButtonSkinBase​(C control)` | Creates a new instance of MenuButtonSkinBase, although note that this instance does not handle any behavior / input mappings - this needs to be handled appropriately by subclasses.

  - ### Method Summary

    - ### Methods declared in class javafx.scene.control.SkinBase

      `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javafx.scene.control.Skin

      `dispose, getNode, getSkinnable`

- - ### Constructor Detail

    - #### MenuButtonSkinBase

          public MenuButtonSkinBase​(C control)

      Creates a new instance of MenuButtonSkinBase, although note that this instance does not handle any behavior / input mappings - this needs to be handled appropriately by subclasses.
      Parameters:
        `control` - The control that this skin should be installed onto.